<?php
namespace Bitrix\Main\IO;

use \Bitrix\Main\Localization\Loc;

class FileDeleteException
	extends IoException
{
	public function __construct($path = "", \Exception $previous = null)
	{
		$message = Loc::getMsg(
			"file_delete_exception_message",
			array("#PATH#" => $path)
		);
		parent::__construct($message, $path, $previous);
	}
}
